Subject: Re: linux-next: build failure after merge of the kbuild tree

From: Nicolas Schier <[email-masked]>
Date: Mon, 16 Mar 2026 18:56:29 +0100

On Mon, Mar 16, 2026 at 05:42:17PM +0000, Mark Brown wrote:
> On Mon, Mar 16, 2026 at 05:02:15PM +0100, Nicolas Schier wrote:
> > On Mon, Mar 16, 2026 at 02:18:45PM +0000, Mark Brown wrote:
> 
> > > Makefile:2254: *** extraneous 'endif'.  Stop.
> > > Makefile:2254: *** extraneous 'endif'.  Stop.
> > >   PERF_VERSION = .gbc1f864a1976
> > > 52.34user 4.91system 0:56.88elapsed 100%CPU (0avgtext+0avgdata 140840maxresident)k
> > > 0inputs+0outputs (0major+1379795minor)pagefaults 0swaps
> > > Building: arm64 allnoconfig
> > > Makefile:2254: *** extraneous 'endif'.  Stop.
> 
> > thanks for the report.  Unfortunately, I cannot reproduce that anyhow;
> > but I pushed to kbuild/kbuild-for-next at 12:36 UTC, might that have
> > been a bad point in time?  Do you have your merge somewhere around where
> > I can fetch it for investigation?
> 
> I tend to start late mornings UTC so something in the middle of the
> night won't be noticed.  I don't have my merge to hand, sorry - you'll
> be able to see where I merged things by looking at the history of -next
> for the kbuild merge when I publish today's -next.  IIRC there as
> nothing other than merges and the commit I flagged in there, it's
> possibly a merge issue with Linus' tree?

Ok, thanks!  Then I'll have a look at it tomorrow (14h ahead) and hope
to fix it for the next '-next' round.

-- 
Nicolas